"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const log_1 = require("../utils/log");
const defaultPaths_1 = require("../config/defaultPaths");
class CleanTmpService {
    constructor() {
        this.except = ['.gitkeep', 'example.json'];
    }
    async execute() {
        log_1.log(`Cleaning tmp`, 'CleanTmpService');
        const tmpPath = await defaultPaths_1.getPath('tmp');
        const files = fs_1.default.readdirSync(tmpPath);
        files.forEach(file => {
            if (this.except.includes(file)) {
                return;
            }
            if (fs_1.default.statSync(path_1.default.resolve(tmpPath, file)).isDirectory()) {
                return fs_1.default.rmdirSync(path_1.default.resolve(tmpPath, file), {
                    recursive: true,
                });
            }
            fs_1.default.unlinkSync(path_1.default.resolve(tmpPath, file));
        });
    }
}
exports.default = CleanTmpService;
