"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Transition = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const remotion_1 = require("remotion");
const styled_components_1 = tslib_1.__importDefault(require("styled-components"));
const transition_mp3_1 = tslib_1.__importDefault(require("../../../assets/transition.mp3"));
const Arc_1 = require("./Arc");
const Container = styled_components_1.default.div `
	flex: 1;
	justify-content: 'center';
	align-items: 'center';
`;
const Transition = () => {
    const frame = remotion_1.useCurrentFrame();
    const videoConfig = remotion_1.useVideoConfig();
    const springConfig = {
        damping: 10,
        mass: 0.1,
        stiffness: 100,
        overshootClamping: true,
    };
    const scale = remotion_1.spring({
        config: springConfig,
        from: 0,
        to: 1,
        fps: videoConfig.fps,
        frame: frame,
    });
    const arcs = (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsx(Arc_1.Arc, { rotation: 0 + 30 }, void 0),
            jsx_runtime_1.jsx(Arc_1.Arc, { rotation: 120 + 30 }, void 0),
            jsx_runtime_1.jsx(Arc_1.Arc, { rotation: 240 + 30 }, void 0)] }, void 0));
    return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsx(remotion_1.Audio, { src: transition_mp3_1.default }, void 0),
            jsx_runtime_1.jsx(Container, { children: jsx_runtime_1.jsx("div", Object.assign({ style: {
                        transform: `scale(${scale})`,
                    } }, { children: jsx_runtime_1.jsxs("svg", Object.assign({ style: {
                            width: videoConfig.width,
                            height: videoConfig.height,
                            position: 'absolute',
                            zIndex: 4,
                        } }, { children: [jsx_runtime_1.jsxs("defs", { children: [jsx_runtime_1.jsxs("linearGradient", Object.assign({ id: "lg" }, { children: [jsx_runtime_1.jsx("stop", { stopColor: "#4290f5", offset: "0" }, void 0),
                                            jsx_runtime_1.jsx("stop", { stopColor: "#42e9f5", offset: "1" }, void 0)] }), void 0),
                                    jsx_runtime_1.jsx("mask", Object.assign({ id: "mask" }, { children: arcs }), void 0)] }, void 0), arcs] }), void 0) }), void 0) }, void 0)] }, void 0));
};
exports.Transition = Transition;
